
package com.kingdee.eas.custom.notify.web;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.operamasks.faces.annotation.Inject;
import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.MetaDataPK;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.waf.annotation.IBOSBizCtrl;
import com.kingdee.bos.waf.util.OperateState;
import com.kingdee.bos.waf.winlet.edit.EditBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBase;
import org.operamasks.faces.annotation.Accessible;
import org.operamasks.faces.component.form.impl.*;
import com.kingdee.bos.waf.action.AbstractWebAction;
import javax.faces.event.AbortProcessingException;
import javax.faces.context.FacesContext;
import org.operamasks.faces.component.action.ActionEvent;
import org.operamasks.faces.annotation.Action;
import com.kingdee.bos.waf.winlet.BaseBean;
import com.kingdee.bos.metadata.entity.SelectorItemInfo;

import com.kingdee.eas.custom.notify.INotifyTodo;
import com.kingdee.eas.custom.notify.NotifyTodoInfo;

public abstract class AbstractNotifyTodoEditUIBean extends com.kingdee.bos.waf.winlet.edit.EditBean {

	@IBOSBizCtrl
	protected com.kingdee.eas.custom.notify.INotifyTodo service;

	public AbstractNotifyTodoEditUIBean() {
		super();
	}

	
	
	@Override
	public void createNewModel() {
		model = new NotifyTodoInfo();
	}

	@Override
	public void pageOnload() {
		super.pageOnload();
		
		
	}

	@Override
	public void saveModel() {
		updateModel();
		super.saveModel();
	}

	@Override
	public void submitModel() {
		updateModel();
		super.submitModel();
	}


	protected void updateModel() {


	}
	
		

	@Override
	protected ICoreBase getBizInterface() {
		return service;
	}
	
	@Override
	public IMetaDataPK getMetaDataPK() {
		return new MetaDataPK("com.kingdee.eas.custom.notify.web.NotifyTodoEditUI");
	}
	
	@Override
	protected String getEntryPKName() {
	
		return super.getEntryPKName();
	
	}

	@Override
	public SelectorItemCollection getSelectors() {
		SelectorItemCollection sic = super.getSelectors();
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("handler.*"));
        sic.add(new SelectorItemInfo("description"));
        sic.add(new SelectorItemInfo("auditor.*"));
        sic.add(new SelectorItemInfo("operationType"));
        sic.add(new SelectorItemInfo("sendTodo.*"));
        sic.add(new SelectorItemInfo("updateTodo.*"));
        sic.add(new SelectorItemInfo("setdelTodoDone.*"));
        sic.add(new SelectorItemInfo("returnState"));
        sic.add(new SelectorItemInfo("message"));
        sic.add(new SelectorItemInfo("todoType"));
	
		return sic;
	}			
    	protected String getTDTemplateName() {
	    	return "/bim/custom/notify/NotifyTodo";
		}
	    protected com.kingdee.bos.metadata.IMetaDataPK getTDQueryPK() {
	    	return new com.kingdee.bos.metadata.MetaDataPK("com.kingdee.eas.custom.notify.app.NotifyTodoQuery");
	    }

}
